LibreOffice: XSingleComponentFactory Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XSingleComponentFactory Interface Referencepublished

Factory interface to create instances of an implementation of a service specification. More...

`import "XSingleComponentFactory.idl";`

Inheritance diagram for XSingleComponentFactory:

## Public Member Functions
com::sun::star::uno::XInterface | createInstanceWithContext ([in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a service implementation.
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises ( com::sun::star::uno::Exception )
| Creates an instance of a component and initializes the new instance with the given arguments and context.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Factory interface to create instances of an implementation of a service specification.

See also
  XInitialization

## Member Function Documentation

## ◆ createInstanceWithArgumentsAndContext()

com::sun::star::uno::XInterface createInstanceWithArgumentsAndContext | ( | [in] sequence< any > | Arguments,
|  | [in] com::sun::star::uno::XComponentContext | Context )
raises | ( | com::sun::star::uno::Exception ) |  |  |

Creates an instance of a component and initializes the new instance with the given arguments and context.

Parameters

  Arguments | arguments passed to implementation
  Context | the instance gets its deployment values from this

Returns
  component instance

## ◆ createInstanceWithContext()

com::sun::star::uno::XInterface createInstanceWithContext | ( | [in] com::sun::star::uno::XComponentContext | Context | ) |
raises | ( | com::sun::star::uno::Exception ) |  |  |

Creates an instance of a service implementation.

Parameters

  Context | the instance gets its deployment values from this

Returns
  component instance

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XSingleComponentFactory.idl